Lintian ReportsBETA

Tag versions

Wtypelib-package-name-does-not-match

The tag is present in Lintian version 2.113.26. That is the most recent version we know about.

We use semantic versions. The patch number is a commit step indicator relative to the 2.113.0 release tag in our Git repository.

You can find the detection logic for this version at commit 43a81d7. For merge requests, please use the latest version in the Lintian check desktop/gnome/gir.

Visibility: warning

GObject-Introspection binary typelibs (Foo-23.typelib) should normally be made available in a package named gir1.2-foo-23.

If multiple typelibs are shipped in the same package, then that package should have versioned Provides for the names that would have been used for separate packages. This arrangement should only be used if the included typelibs' versions are expected to remain the same at all times.

For example, gir1.2-gtk-3.0 is named for the Gtk-3.0 typelib, but also contains the Gdk-3.0 and GdkX11-3.0 typelibs. It should have versioned Provides entries for gir1.2-gdk-3.0 (= ${binary:Version}) and gir1.2-gdkx11-3.0 (= ${binary:Version}) to indicate this.

For more information please consult:

The following 22 source packages in the archive triggered the tag 55 times (in any Lintian version).

We found 7 overrides. The tag performed 87% of the time.